org.apache.lucene.codecs.lucene410

## Class Lucene410Codec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.lucene410.Lucene410Codec

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

  Deprecated.
  only for reading old 4.10 segments

      @Deprecated
      public class Lucene410Codec
      extends Codec

  Implements the Lucene 4.10 codec

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene410Codec()` Deprecated. Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompoundFormat` | `compoundFormat()` Deprecated.
    `DocValuesFormat` | `docValuesFormat()` Deprecated.
    `FieldInfosFormat` | `fieldInfosFormat()` Deprecated.
    `DocValuesFormat` | `getDocValuesFormatForField(String field)` Deprecated. Returns the docvalues format that should be used for writing new segments of `field`.
    `PostingsFormat` | `getPostingsFormatForField(String field)` Deprecated. Returns the postings format that should be used for writing new segments of `field`.
    `LiveDocsFormat` | `liveDocsFormat()` Deprecated.
    `NormsFormat` | `normsFormat()` Deprecated.
    `PostingsFormat` | `postingsFormat()` Deprecated.
    `SegmentInfoFormat` | `segmentInfoFormat()` Deprecated.
    `StoredFieldsFormat` | `storedFieldsFormat()` Deprecated.
    `TermVectorsFormat` | `termVectorsFormat()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.codecs.Codec

      `availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene410Codec

          public Lucene410Codec()

      Deprecated.
      Sole constructor.

  - ### Method Detail

    - #### storedFieldsFormat

          public StoredFieldsFormat storedFieldsFormat()

      Deprecated.
      Specified by:
        `storedFieldsFormat` in class `Codec`

    - #### termVectorsFormat

          public TermVectorsFormat termVectorsFormat()

      Deprecated.
      Specified by:
        `termVectorsFormat` in class `Codec`

    - #### postingsFormat

          public final PostingsFormat postingsFormat()

      Deprecated.
      Specified by:
        `postingsFormat` in class `Codec`

    - #### fieldInfosFormat

          public final FieldInfosFormat fieldInfosFormat()

      Deprecated.
      Specified by:
        `fieldInfosFormat` in class `Codec`

    - #### segmentInfoFormat

          public SegmentInfoFormat segmentInfoFormat()

      Deprecated.
      Specified by:
        `segmentInfoFormat` in class `Codec`

    - #### liveDocsFormat

          public final LiveDocsFormat liveDocsFormat()

      Deprecated.
      Specified by:
        `liveDocsFormat` in class `Codec`

    - #### compoundFormat

          public CompoundFormat compoundFormat()

      Deprecated.
      Specified by:
        `compoundFormat` in class `Codec`

    - #### getPostingsFormatForField

          public PostingsFormat getPostingsFormatForField(String field)

      Deprecated.
      Returns the postings format that should be used for writing new segments of `field`. The default implementation always returns "Lucene41"

    - #### getDocValuesFormatForField

          public DocValuesFormat getDocValuesFormatForField(String field)

      Deprecated.
      Returns the docvalues format that should be used for writing new segments of `field`. The default implementation always returns "Lucene410"

    - #### docValuesFormat

          public DocValuesFormat docValuesFormat()

      Deprecated.
      Specified by:
        `docValuesFormat` in class `Codec`

    - #### normsFormat

          public NormsFormat normsFormat()

      Deprecated.
      Specified by:
        `normsFormat` in class `Codec`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.